debian squeeze has no ranlib ==> no ...

Help
wan3
2010-10-12
2013-04-05
  • wan3

    wan3 - 2010-10-12

    debian squeeze daily build from Oct 2010 on has no ranlib, there for the linuxwacom-0.8.8-9/prebuilt/.install delivers  on german system:

    Installing utility programs (wacdump, xidump, xsetwacom….)
    ./install: Zeile 90: ranlib: Kommando nicht gefunden.

    What to do?

     
  • Favux

    Favux - 2010-10-12

    Guten Abend wan3,

    I am going to take a wild guess that ranlib is libxrandr-dev in Ubuntu.  I don't know what it's called in Debian.  ranlib?  So:

    sudo apt-get install libxrandr-dev

    in Ubuntu becomes what in Debian?  Maybe:

    sudo apt-get install ranlib   or possibly ranlib-dev?

    I'm probably just blowing smoke.  Good luck!  Guten gluck?

    Favux

     
  • wan3

    wan3 - 2010-10-13

    I solved the first problem from above. Many thanks.

    Installation of pakage-build-dep was necessary prior to insatlling linuxwacom.

    linuxwacom-0.8.8-9 is running now, which can be proven by running wacdump -f tpc /dev/ttyS1 

    But another problem showed up:

    After finding out how to configure the new xorg 1.7 by editing /usr/share/X11/xorg.conf.d/20-wacom.conf and rebooting I got the follwowing error messages in/var/log/Xorg.0.log:

    (II) LoadModule: "wacom"
    (II) Loading /usr/lib/xorg/modules/input/wacom_drv.so
    dlopen: /usr/lib/xorg/modules/input/wacom_drv.so: undefined symbol: xf86errno
    (EE) Failed to load /usr/lib/xorg/modules/input/wacom_drv.so
    (II) UnloadModule: "wacom"
    (EE) Failed to load module "wacom" (loader failed, 7)
    (EE) No input driver matching `wacom'

    and the same two times more

    As already http://debianforum.de/forum/viewtopic.php?f=13&t=119782&p=763412 mentions linuxwacom-0.8.8-9 only supports xorg up to Version 1.6 but I have 1.7 on my Debian Squeeze.

    What to do? downgrade xorg or waiting for  linuxwacom upgrade?

    On  ubuntu 10.04 LTS xserver-xorg-input-wacom 1:0.10.5-0ubuntu4 and xorg 1:7.5+5ubunut1 work together well on my ibm x41 tablet

     
  • wan3

    wan3 - 2010-10-13

    Can I change the title of this thread. The original title debian squeeze has no ranlib ==> no installation possible
    is misleading now better would be "Debian ranlib missing solved"

     
  • Peter Hutterer

    Peter Hutterer - 2010-10-29

    Favux: ranlib is part of binutils. libXrandr is something completely different, see the man pages for both :)

    wan3: you need xf86-input-wacom instead of the X driver from the linuxwacom tarball.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks